# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/google,goldfish-fb.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Android Goldfish Framebuffer

maintainers:
  - Kuan-Wei Chiu <visitorckw@gmail.com>

description:
  Android Goldfish framebuffer device used by Android emulator.

properties:
  compatible:
    const: google,goldfish-fb

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

required:
  - compatible
  - reg
  - interrupts

additionalProperties: false

examples:
  - |
    display@1f008000 {
        compatible = "google,goldfish-fb";
        reg = <0x1f008000 0x100>;
        interrupts = <16>;
    };
